#!/bin/sh
echo 'name: Agda
version: 2.3.0.1
id: Agda-2.3.0.1-1630b56a3de9c71426a7b4f86e9e6b18

license: OtherLicense
copyright:
maintainer: Ulf Norell <ulfn@chalmers.se>
stability:
homepage: http://wiki.portal.chalmers.se/agda/
package-url:
synopsis: A dependently typed functional programming language and proof assistant
description: Agda is a dependently typed functional programming language: It has
             inductive families, which are similar to Haskell'\''s GADTs, but they
             can be indexed by values and not just types. It also has
             parameterised modules, mixfix operators, Unicode characters, and an
             interactive Emacs interface (the type checker can assist in the
             development of your code).
             .
             Agda is also a proof assistant: It is an interactive system for
             writing and checking proofs. Agda is based on intuitionistic type
             theory, a foundational system for constructive mathematics developed
             by the Swedish logician Per Martin-L&#xf6;f. It has many
             similarities with other proof assistants based on dependent types,
             such as Coq, Epigram and NuPRL.
             .
             Note that if you want to use the command-line program (agda), then
             you should also install the Agda-executable package. The Agda
             package includes an Emacs mode for Agda, but you need to set up the
             Emacs mode yourself (for instance by running @agda-mode setup@; see
             the README).
             .
             Note also that this library does not follow the package versioning
             policy, because the library is only intended to be used by the Emacs
             mode and the Agda-executable package.
category: Dependent types
author: Ulf Norell, Nils Anders Danielsson, Catarina Coquand, Makoto Takeyama, Andreas Abel, Darin Morrison...
exposed: True
exposed-modules: Agda.Main Agda.ImpossibleTest
                 Agda.Interaction.BasicOps Agda.Interaction.GhciTop
                 Agda.Compiler.HaskellTypes Agda.Compiler.Epic.AuxAST
                 Agda.Compiler.Epic.CaseOpts Agda.Compiler.Epic.Compiler
                 Agda.Compiler.Epic.CompileState Agda.Compiler.Epic.Epic
                 Agda.Compiler.Epic.Erasure Agda.Compiler.Epic.ForceConstrs
                 Agda.Compiler.Epic.Forcing Agda.Compiler.Epic.FromAgda
                 Agda.Compiler.Epic.Injection Agda.Compiler.Epic.Interface
                 Agda.Compiler.Epic.NatDetection Agda.Compiler.Epic.Primitive
                 Agda.Compiler.Epic.Smashing Agda.Compiler.Epic.Static
                 Agda.Compiler.JS.Case Agda.Compiler.JS.Compiler
                 Agda.Compiler.JS.Syntax Agda.Compiler.JS.Substitution
                 Agda.Compiler.JS.Parser Agda.Compiler.JS.Pretty
                 Agda.Compiler.MAlonzo.Compiler Agda.Compiler.MAlonzo.Encode
                 Agda.Compiler.MAlonzo.Misc Agda.Compiler.MAlonzo.Pretty
                 Agda.Compiler.MAlonzo.Primitives Agda.Packaging.Config
                 Agda.Packaging.Database Agda.Packaging.Monad Agda.Packaging.Types
                 Agda.Interaction.CommandLine.CommandLine
                 Agda.Interaction.EmacsCommand Agda.Interaction.Exceptions
                 Agda.Interaction.FindFile Agda.Interaction.Highlighting.Dot
                 Agda.Interaction.Highlighting.Emacs
                 Agda.Interaction.Highlighting.Generate
                 Agda.Interaction.Highlighting.HTML
                 Agda.Interaction.Highlighting.Precise
                 Agda.Interaction.Highlighting.Range
                 Agda.Interaction.Highlighting.Vim Agda.Interaction.Imports
                 Agda.Interaction.MakeCase Agda.Interaction.Monad
                 Agda.Interaction.Options Agda.Syntax.Abstract.Name
                 Agda.Syntax.Abstract.Pretty Agda.Syntax.Abstract.Views
                 Agda.Syntax.Abstract Agda.Syntax.Common
                 Agda.Syntax.Concrete.Definitions Agda.Syntax.Concrete.Name
                 Agda.Syntax.Concrete.Operators.Parser
                 Agda.Syntax.Concrete.Operators Agda.Syntax.Concrete.Pretty
                 Agda.Syntax.Concrete Agda.Syntax.Fixity Agda.Syntax.Info
                 Agda.Syntax.Internal Agda.Syntax.Internal.Generic
                 Agda.Syntax.Internal.Pattern Agda.Syntax.Literal
                 Agda.Syntax.Notation Agda.Syntax.Parser.Alex
                 Agda.Syntax.Parser.Comments Agda.Syntax.Parser.Layout
                 Agda.Syntax.Parser.LexActions Agda.Syntax.Parser.Lexer
                 Agda.Syntax.Parser.LookAhead Agda.Syntax.Parser.Monad
                 Agda.Syntax.Parser.Parser Agda.Syntax.Parser.StringLiterals
                 Agda.Syntax.Parser.Tokens Agda.Syntax.Parser Agda.Syntax.Position
                 Agda.Syntax.Scope.Base Agda.Syntax.Scope.Monad Agda.Syntax.Strict
                 Agda.Syntax.Translation.AbstractToConcrete
                 Agda.Syntax.Translation.ConcreteToAbstract
                 Agda.Syntax.Translation.InternalToAbstract
                 Agda.Termination.CallGraph Agda.Termination.Lexicographic
                 Agda.Termination.Matrix Agda.Termination.SparseMatrix
                 Agda.Termination.Semiring Agda.Termination.TermCheck
                 Agda.Termination.Termination Agda.Tests Agda.TypeChecker
                 Agda.TypeChecking.Abstract Agda.TypeChecking.CompiledClause
                 Agda.TypeChecking.CompiledClause.Compile
                 Agda.TypeChecking.CompiledClause.Match
                 Agda.TypeChecking.Constraints Agda.TypeChecking.Conversion
                 Agda.TypeChecking.Coverage Agda.TypeChecking.Coverage.Match
                 Agda.TypeChecking.Datatypes Agda.TypeChecking.DisplayForm
                 Agda.TypeChecking.Eliminators Agda.TypeChecking.Empty
                 Agda.TypeChecking.EtaContract Agda.TypeChecking.Errors
                 Agda.TypeChecking.Free Agda.TypeChecking.Forcing
                 Agda.TypeChecking.Implicit Agda.TypeChecking.Injectivity
                 Agda.TypeChecking.Irrelevance Agda.TypeChecking.Level
                 Agda.TypeChecking.LevelConstraints Agda.TypeChecking.MetaVars
                 Agda.TypeChecking.MetaVars.Mention
                 Agda.TypeChecking.MetaVars.Occurs Agda.TypeChecking.Monad.Base
                 Agda.TypeChecking.Monad.Builtin Agda.TypeChecking.Monad.Closure
                 Agda.TypeChecking.Monad.Constraints Agda.TypeChecking.Monad.Context
                 Agda.TypeChecking.Monad.Debug Agda.TypeChecking.Monad.Env
                 Agda.TypeChecking.Monad.Exception Agda.TypeChecking.Monad.Imports
                 Agda.TypeChecking.Monad.MetaVars Agda.TypeChecking.Monad.Mutual
                 Agda.TypeChecking.Monad.Open Agda.TypeChecking.Monad.Options
                 Agda.TypeChecking.Monad.Signature
                 Agda.TypeChecking.Monad.SizedTypes Agda.TypeChecking.Monad.State
                 Agda.TypeChecking.Monad.Statistics Agda.TypeChecking.Monad.Trace
                 Agda.TypeChecking.Monad Agda.TypeChecking.Patterns.Match
                 Agda.TypeChecking.Polarity Agda.TypeChecking.Positivity
                 Agda.TypeChecking.Pretty Agda.TypeChecking.Primitive
                 Agda.TypeChecking.Quote Agda.TypeChecking.Rebind
                 Agda.TypeChecking.RecordPatterns Agda.TypeChecking.Records
                 Agda.TypeChecking.Reduce Agda.TypeChecking.Rules.Builtin
                 Agda.TypeChecking.Rules.Builtin.Coinduction
                 Agda.TypeChecking.Rules.Data Agda.TypeChecking.Rules.Decl
                 Agda.TypeChecking.Rules.Def Agda.TypeChecking.Rules.LHS
                 Agda.TypeChecking.Rules.LHS.Implicit
                 Agda.TypeChecking.Rules.LHS.Instantiate
                 Agda.TypeChecking.Rules.LHS.Problem
                 Agda.TypeChecking.Rules.LHS.Split Agda.TypeChecking.Rules.LHS.Unify
                 Agda.TypeChecking.Rules.Record Agda.TypeChecking.Rules.Term
                 Agda.TypeChecking.Serialise Agda.TypeChecking.SizedTypes
                 Agda.TypeChecking.Substitute Agda.TypeChecking.Telescope
                 Agda.TypeChecking.Test.Generators Agda.TypeChecking.Tests
                 Agda.TypeChecking.UniversePolymorphism Agda.TypeChecking.With
                 Agda.Utils.VarSet Agda.Utils.Char Agda.Utils.Either
                 Agda.Utils.FileName Agda.Utils.Fresh Agda.Utils.Function
                 Agda.Utils.Generics Agda.Utils.Graph Agda.Utils.Hash
                 Agda.Utils.Impossible Agda.Utils.IO.Binary Agda.Utils.IO.Locale
                 Agda.Utils.IO.UTF8 Agda.Utils.List Agda.Utils.Map Agda.Utils.Maybe
                 Agda.Utils.Monad Agda.Utils.Permutation Agda.Utils.Pointer
                 Agda.Utils.Pretty Agda.Utils.QuickCheck Agda.Utils.ReadP
                 Agda.Utils.SemiRing Agda.Utils.Size Agda.Utils.String
                 Agda.Utils.Suffix Agda.Utils.TestHelpers Agda.Utils.Trie
                 Agda.Utils.Tuple Agda.Utils.Unicode Agda.Utils.Warshall
                 Agda.Version Agda.Auto.Auto Agda.Auto.Convert Agda.Auto.Typecheck
                 Agda.Auto.NarrowingSearch Agda.Auto.Syntax Agda.Auto.SearchControl
                 Agda.Auto.CaseSplit
hidden-modules: Paths_Agda
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.1/cabal/Agda-2.3.0.1
library-dirs: /usr/local/lib/ghc-7.4.1/cabal/Agda-2.3.0.1
              /usr/local/lib
hs-libraries: HSAgda-2.3.0.1
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: QuickCheck-2.4.2-6294b70bb1126d365d60ef99cef6eec4
         array-0.4.0.0-0b32f6f98c0297dbb0e5cfc0087bd1f0
         base-4.5.0.0-1a022b3476300ed3e5bfdd46dd7221d0
         binary-0.5.1.0-7100f639c59068a2d40264555b8517e7
         bytestring-0.9.2.1-e2bcd9910229fcb291a3a8dd6f79f7fe
         containers-0.4.2.1-7c54595400348f577b3b4a45691c5afd
         directory-1.1.0.2-295465228776dcfcc680f61dc2cbcb59
         filepath-1.3.0.0-674b8a582fb49f1c9724f50a6a5d5768
         hashable-1.1.2.3-27291b4496c1ca7fa20544b20e210675
         hashtables-1.0.1.6-f34f84d14f4c926b2e7907577c1183cc
         haskeline-0.6.4.7-6a1d0c679e5d30cdab04da42a2aed022
         haskell-src-exts-1.13.3-3913a78346ab9fbe908c2f17046f2dcf
         mtl-2.1.1-ae9b44386a2528180e60dcf2412689c0
         old-time-1.1.0.0-681e9789e8750358e65a9448b60ba641
         pretty-1.1.1.0-7e118fa87f5698f5c005fe87b34befe8
         process-1.1.0.1-91185c964ab744c1f3cbca1863d2ba45
         syb-0.3.6.1-ad5889c79a555efaeb0cf987ce0538b6
         utf8-string-0.3.7-ffaf35c0993df0e6545d3ec2d2884058
         xhtml-3000.2.1-4e39fc4e73f4a43df4ae731d188f4138
         zlib-0.5.3.3-9ed15628a121b3b57f97b7acc02bf5d9
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.1/cabal/Agda-2.3.0.1/html/Agda.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.1/cabal/Agda-2.3.0.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
